# include <stdio.h>
# include <bench.h>
# include <proc.io>
# include "field.h"
# include "sup.h"
# include "screen.h"
# include "iodef.h"

/*
 * Scan the specified list, from the head, until end of list
 * or index value reached.  Return current list pointer.
 * Used within computes to locate particular index value fields
*/
struct a_line *scan_table(tab, head, lptr, index)
struct _table *tab;
struct a_line **head;
struct a_line **lptr;
int index;
{
	int i;
	static struct a_line *tmp;

	for (i = 0, tmp = *head;  i < index && tmp != ANULL;  i++, tmp = tmp->next)
		;

	/*
	 * Get current record contents, in case we are in Add mode
	 * In Change mode we are just going to copy again
	*/
	if (*lptr != ANULL && tmp == *lptr)
		bytecpy((*lptr)->rec, tab->rec, tab->size);

	return (tmp);
}


