# include <stdio.h>
# include <bench.h>
# include <proc.io>
# include "field.h"
# include "screen.h"
# include "iodef.h"
# include "sup.h"

/*
 * Set up the key-searching defaults
 * comprising - key, match & sequence
*/
int default_mode(tab, head, lptr, table, mode)
struct _table *tab;
struct a_line **head, **lptr;
int table, mode;
{
	/*
	 * Generated in the screen program
	*/
	if (tab->sel_fn != (void (*)())0)
   	(*tab->sel_fn)();
	else
		return (IOGOOD);

   if (*(tab->keynum) == -1)
	{
		*(tab->keynum) = 1;
		*(tab->keymatch) = PART;
      return (IOGOOD);
	}

	tab->mode   = K_DOWN;
	*(tab->seq) = ASCENDING;

   selectinx(tab->fd, *(tab->keynum), *(tab->keymatch), tab->retry);

	return (IOGOOD);
}

