# include <stdio.h>
# include <bench.h>
# include <proc.io>
# include "field.h"
# include "screen.h"
# include "iodef.h"
# include "sup.h"

/*
 * Used for Error Reporting Above & Beyond
 * that given by the I/O managers.
*/
int do_error(stat)
int stat;
{
# ifdef ERROR_REPORTING
	switch (stat)
	{
	case IOGOOD   :
		break;
	case IOTOF    :
		errmsg(TOP_FILE);
		break;
	case IOEOF    :
		errmsg(END_FILE);
		break;
	case IONOKEY  :
		errmsg(NO_MATCH);
		break;
	case IONONEXT :
		errmsg(NO_MORE);
		break;
	default       :
		errmsg(F_ERR, stat);
		break;
	}
# endif

	return (stat);
}

